# Generated by Django 3.0.5 on 2020-05-07 10:56

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import location.models
import taggit.managers


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('taggit', '0003_taggeditem_add_unique_index'),
    ]

    operations = [
        migrations.CreateModel(
            name='CategoryMain',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='หมวดหมู่หลัก')),
            ],
        ),
        migrations.CreateModel(
            name='CategorySub',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='หมวดหมู่ย่อย')),
                ('category_main', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='location.CategoryMain')),
            ],
        ),
        migrations.CreateModel(
            name='Location',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='ตัวอย่าง: ต้นจามจุรียักษ์', max_length=100, verbose_name='ชื่อสถานที่')),
                ('cost', models.FloatField(blank=True, help_text='ตัวอย่าง: 0', null=True, verbose_name='ค่าเข้าสถานที่')),
                ('lat', models.FloatField(blank=True, help_text='ตัวอย่าง: 0', null=True, verbose_name='ละติจูด')),
                ('lng', models.FloatField(blank=True, help_text='ตัวอย่าง: 0', null=True, verbose_name='ลองติจูด')),
                ('timeOpen', models.TimeField(blank=True, default=django.utils.timezone.now, help_text='ตัวอย่าง 09:00:00 (ชั่วโมง:นาที:วินาที)', null=True, verbose_name='เวลาเปิดของสถานที่')),
                ('timeClose', models.TimeField(blank=True, default=django.utils.timezone.now, help_text='ตัวอย่าง 09:00:00 (ชั่วโมง:นาที:วินาที)', null=True, verbose_name='เวลาปิดของสถานที่')),
                ('shop', models.BooleanField(default=False, help_text='กด คือ สถานที่มีร้านอาหาร, ไม่กด คือ สถานที่ไม่มีร้านอาหาร ', verbose_name='ร้านค้า')),
                ('detail', models.TextField(blank=True, null=True, verbose_name='รายละเอียดสถานที่')),
                ('type_adventure', models.CharField(blank=True, choices=[('Hard', 'Hard'), ('Soft', 'Soft'), ('Non-adventure', 'Non-adventure')], max_length=50, null=True)),
                ('category_sub', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='location.CategorySub')),
                ('tags', taggit.managers.TaggableManager(blank=True, help_text='เพิ่ม tag แหล่งท่องเที่ยวโดยพิมพ์ tag แล้วกด Enter หรือ ใส , แล่วตามด้วย tag ต่อไป', through='taggit.TaggedItem', to='taggit.Tag', verbose_name='แท็ก')),
            ],
            options={
                'verbose_name': 'location',
                'verbose_name_plural': 'locations',
            },
        ),
        migrations.CreateModel(
            name='Provinces',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='ตัวอย่าง: ต้นจามจุรียักษ์', max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='LocationGallery',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(blank=True, null=True, upload_to=location.models.upload_location)),
                ('location_gallery', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='location_image', to='location.Location')),
            ],
        ),
    ]
